import React from 'react';
import { FaGlobe } from 'react-icons/fa';

interface LanguageSelectorProps {
  currentLanguage: string;
  onChangeLanguage: (language: string) => void;
}

const LanguageSelector: React.FC<LanguageSelectorProps> = ({ currentLanguage, onChangeLanguage }) => {
  const selectLanguage = (language: string) => {
    console.log(`Selected language: ${language}`);
    onChangeLanguage(language);
  };

  return (
    <div>
      <FaGlobe />
      <select value={currentLanguage} onChange={(e) => selectLanguage(e.target.value)}>
        <option value="en">English</option>
        <option value="es">Spanish</option>
        <option value="zh-CN">Chinese</option>
        <option value="hi">Hindi</option>
        <option value="ar">Arabic</option>
        <option value="fr">French</option>
        <option value="de">German</option>
        <option value="pt">Portuguese</option>
        <option value="ru">Russian</option>
        <option value="ja">Japanese</option>
      </select>
    </div>
  );
};

export default LanguageSelector;
